I can't seem to install mythtv on hardy heron on powerpc.

The mythtv-common package lists its version as '0.21.0+fixes16838-0ubuntu3'.
The mythtv-frontend package lists its version as '0.21.0-0ubuntu2'

mythtv-common is a dependency of mythtv-frontend, but the versions are incompatible with each other.

Is there something I'm missing here? Or are the packages for mythtv on hardy on powerpc truly broken?